merge trunk
[bpt/emacs.git] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2012 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.ac, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module c-ctype:
44 # Code from module c-strcase:
45 # Code from module careadlinkat:
46 # Code from module clock-time:
47 # Code from module crypto/md5:
48 # Code from module crypto/sha1:
49 # Code from module crypto/sha256:
50 # Code from module crypto/sha512:
51 # Code from module dosname:
52 # Code from module dtoastr:
53 # Code from module dtotimespec:
54 # Code from module dup2:
55 # Code from module environ:
56 # Code from module execinfo:
57 # Code from module extensions:
58 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
59 # Code from module extern-inline:
60 # Code from module filemode:
61 # Code from module getloadavg:
62 # Code from module getopt-gnu:
63 # Code from module getopt-posix:
64 # Code from module gettext-h:
65 # Code from module gettime:
66 # Code from module gettimeofday:
67 # Code from module ignore-value:
68 # Code from module include_next:
69 # Code from module intprops:
70 # Code from module inttypes-incomplete:
71 # Code from module largefile:
72 AC_REQUIRE([AC_SYS_LARGEFILE])
73 # Code from module lstat:
74 # Code from module manywarnings:
75 # Code from module mktime:
76 # Code from module multiarch:
77 # Code from module nocrash:
78 # Code from module pathmax:
79 # Code from module pselect:
80 # Code from module pthread_sigmask:
81 # Code from module readlink:
82 # Code from module signal-h:
83 # Code from module snippet/_Noreturn:
84 # Code from module snippet/arg-nonnull:
85 # Code from module snippet/c++defs:
86 # Code from module snippet/warn-on-use:
87 # Code from module socklen:
88 # Code from module ssize_t:
89 # Code from module stat:
90 # Code from module stat-time:
91 # Code from module stdalign:
92 # Code from module stdarg:
93 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
94 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
95 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
96 dnl shouldn't hurt, though installers are on their own to set c99 mode.
97 gl_PROG_CC_C99
98 # Code from module stdbool:
99 # Code from module stddef:
100 # Code from module stdint:
101 # Code from module stdio:
102 # Code from module stdlib:
103 # Code from module strftime:
104 # Code from module strtoimax:
105 # Code from module strtoll:
106 # Code from module strtoull:
107 # Code from module strtoumax:
108 # Code from module symlink:
109 # Code from module sys_select:
110 # Code from module sys_stat:
111 # Code from module sys_time:
112 # Code from module time:
113 # Code from module time_r:
114 # Code from module timespec:
115 # Code from module timespec-add:
116 # Code from module timespec-sub:
117 # Code from module u64:
118 # Code from module unistd:
119 # Code from module utimens:
120 # Code from module verify:
121 # Code from module warnings:
122 ])
123
124 # This macro should be invoked from ./configure.ac, in the section
125 # "Check for header files, types and library functions".
126 AC_DEFUN([gl_INIT],
127 [
128 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
129 gl_cond_libtool=false
130 gl_libdeps=
131 gl_ltlibdeps=
132 gl_m4_base='m4'
133 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
134 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
135 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
136 m4_pushdef([gl_LIBSOURCES_LIST], [])
137 m4_pushdef([gl_LIBSOURCES_DIR], [])
138 gl_COMMON
139 gl_source_base='lib'
140 gl_FUNC_ALLOCA
141 AC_CHECK_FUNCS_ONCE([readlinkat])
142 gl_CLOCK_TIME
143 gl_MD5
144 gl_SHA1
145 gl_SHA256
146 gl_SHA512
147 AC_REQUIRE([gl_C99_STRTOLD])
148 gl_FUNC_DUP2
149 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
150 AC_LIBOBJ([dup2])
151 gl_PREREQ_DUP2
152 fi
153 gl_UNISTD_MODULE_INDICATOR([dup2])
154 gl_ENVIRON
155 gl_UNISTD_MODULE_INDICATOR([environ])
156 gl_EXECINFO_H
157 AC_REQUIRE([gl_EXTERN_INLINE])
158 gl_FILEMODE
159 gl_GETLOADAVG
160 if test $HAVE_GETLOADAVG = 0; then
161 AC_LIBOBJ([getloadavg])
162 gl_PREREQ_GETLOADAVG
163 fi
164 gl_STDLIB_MODULE_INDICATOR([getloadavg])
165 gl_FUNC_GETOPT_GNU
166 if test $REPLACE_GETOPT = 1; then
167 AC_LIBOBJ([getopt])
168 AC_LIBOBJ([getopt1])
169 gl_PREREQ_GETOPT
170 dnl Arrange for unistd.h to include getopt.h.
171 GNULIB_GL_UNISTD_H_GETOPT=1
172 fi
173 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
174 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
175 gl_FUNC_GETOPT_POSIX
176 if test $REPLACE_GETOPT = 1; then
177 AC_LIBOBJ([getopt])
178 AC_LIBOBJ([getopt1])
179 gl_PREREQ_GETOPT
180 dnl Arrange for unistd.h to include getopt.h.
181 GNULIB_GL_UNISTD_H_GETOPT=1
182 fi
183 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
184 gl_GETTIME
185 gl_FUNC_GETTIMEOFDAY
186 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
187 AC_LIBOBJ([gettimeofday])
188 gl_PREREQ_GETTIMEOFDAY
189 fi
190 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
191 gl_INTTYPES_INCOMPLETE
192 AC_REQUIRE([gl_LARGEFILE])
193 gl_FUNC_LSTAT
194 if test $REPLACE_LSTAT = 1; then
195 AC_LIBOBJ([lstat])
196 gl_PREREQ_LSTAT
197 fi
198 gl_SYS_STAT_MODULE_INDICATOR([lstat])
199 gl_FUNC_MKTIME
200 if test $REPLACE_MKTIME = 1; then
201 AC_LIBOBJ([mktime])
202 gl_PREREQ_MKTIME
203 fi
204 gl_TIME_MODULE_INDICATOR([mktime])
205 gl_MULTIARCH
206 gl_FUNC_PSELECT
207 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
208 AC_LIBOBJ([pselect])
209 fi
210 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
211 gl_FUNC_PTHREAD_SIGMASK
212 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
213 AC_LIBOBJ([pthread_sigmask])
214 gl_PREREQ_PTHREAD_SIGMASK
215 fi
216 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
217 gl_FUNC_READLINK
218 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
219 AC_LIBOBJ([readlink])
220 gl_PREREQ_READLINK
221 fi
222 gl_UNISTD_MODULE_INDICATOR([readlink])
223 gl_SIGNAL_H
224 gl_TYPE_SOCKLEN_T
225 gt_TYPE_SSIZE_T
226 gl_STAT_TIME
227 gl_STAT_BIRTHTIME
228 gl_STDALIGN_H
229 gl_STDARG_H
230 AM_STDBOOL_H
231 gl_STDDEF_H
232 gl_STDINT_H
233 gl_STDIO_H
234 gl_STDLIB_H
235 gl_FUNC_GNU_STRFTIME
236 gl_FUNC_STRTOIMAX
237 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
238 AC_LIBOBJ([strtoimax])
239 gl_PREREQ_STRTOIMAX
240 fi
241 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
242 gl_FUNC_STRTOUMAX
243 if test $ac_cv_func_strtoumax = no; then
244 AC_LIBOBJ([strtoumax])
245 gl_PREREQ_STRTOUMAX
246 fi
247 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
248 gl_FUNC_SYMLINK
249 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
250 AC_LIBOBJ([symlink])
251 fi
252 gl_UNISTD_MODULE_INDICATOR([symlink])
253 gl_HEADER_SYS_SELECT
254 AC_PROG_MKDIR_P
255 gl_HEADER_SYS_STAT_H
256 AC_PROG_MKDIR_P
257 gl_HEADER_SYS_TIME_H
258 AC_PROG_MKDIR_P
259 gl_HEADER_TIME_H
260 gl_TIME_R
261 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
262 AC_LIBOBJ([time_r])
263 gl_PREREQ_TIME_R
264 fi
265 gl_TIME_MODULE_INDICATOR([time_r])
266 gl_TIMESPEC
267 gl_UNISTD_H
268 gl_UTIMENS
269 gl_gnulib_enabled_dosname=false
270 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
271 gl_gnulib_enabled_pathmax=false
272 gl_gnulib_enabled_stat=false
273 gl_gnulib_enabled_strtoll=false
274 gl_gnulib_enabled_strtoull=false
275 gl_gnulib_enabled_verify=false
276 func_gl_gnulib_m4code_dosname ()
277 {
278 if ! $gl_gnulib_enabled_dosname; then
279 gl_gnulib_enabled_dosname=true
280 fi
281 }
282 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
283 {
284 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
285 AC_SUBST([LIBINTL])
286 AC_SUBST([LTLIBINTL])
287 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
288 fi
289 }
290 func_gl_gnulib_m4code_pathmax ()
291 {
292 if ! $gl_gnulib_enabled_pathmax; then
293 gl_PATHMAX
294 gl_gnulib_enabled_pathmax=true
295 fi
296 }
297 func_gl_gnulib_m4code_stat ()
298 {
299 if ! $gl_gnulib_enabled_stat; then
300 gl_FUNC_STAT
301 if test $REPLACE_STAT = 1; then
302 AC_LIBOBJ([stat])
303 gl_PREREQ_STAT
304 fi
305 gl_SYS_STAT_MODULE_INDICATOR([stat])
306 gl_gnulib_enabled_stat=true
307 if test $REPLACE_STAT = 1; then
308 func_gl_gnulib_m4code_dosname
309 fi
310 if test $REPLACE_STAT = 1; then
311 func_gl_gnulib_m4code_pathmax
312 fi
313 if test $REPLACE_STAT = 1; then
314 func_gl_gnulib_m4code_verify
315 fi
316 fi
317 }
318 func_gl_gnulib_m4code_strtoll ()
319 {
320 if ! $gl_gnulib_enabled_strtoll; then
321 gl_FUNC_STRTOLL
322 if test $HAVE_STRTOLL = 0; then
323 AC_LIBOBJ([strtoll])
324 gl_PREREQ_STRTOLL
325 fi
326 gl_STDLIB_MODULE_INDICATOR([strtoll])
327 gl_gnulib_enabled_strtoll=true
328 fi
329 }
330 func_gl_gnulib_m4code_strtoull ()
331 {
332 if ! $gl_gnulib_enabled_strtoull; then
333 gl_FUNC_STRTOULL
334 if test $HAVE_STRTOULL = 0; then
335 AC_LIBOBJ([strtoull])
336 gl_PREREQ_STRTOULL
337 fi
338 gl_STDLIB_MODULE_INDICATOR([strtoull])
339 gl_gnulib_enabled_strtoull=true
340 fi
341 }
342 func_gl_gnulib_m4code_verify ()
343 {
344 if ! $gl_gnulib_enabled_verify; then
345 gl_gnulib_enabled_verify=true
346 fi
347 }
348 if test $REPLACE_GETOPT = 1; then
349 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
350 fi
351 if test $REPLACE_LSTAT = 1; then
352 func_gl_gnulib_m4code_dosname
353 fi
354 if test $REPLACE_LSTAT = 1; then
355 func_gl_gnulib_m4code_stat
356 fi
357 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
358 func_gl_gnulib_m4code_stat
359 fi
360 if { test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
361 func_gl_gnulib_m4code_strtoll
362 fi
363 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
364 func_gl_gnulib_m4code_verify
365 fi
366 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
367 func_gl_gnulib_m4code_strtoull
368 fi
369 if test $ac_cv_func_strtoumax = no; then
370 func_gl_gnulib_m4code_verify
371 fi
372 m4_pattern_allow([^gl_GNULIB_ENABLED_])
373 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
374 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
375 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
376 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
377 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
378 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
379 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
380 # End of code from modules
381 m4_ifval(gl_LIBSOURCES_LIST, [
382 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
383 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
384 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
385 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
386 exit 1
387 fi
388 done])dnl
389 m4_if(m4_sysval, [0], [],
390 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
391 ])
392 m4_popdef([gl_LIBSOURCES_DIR])
393 m4_popdef([gl_LIBSOURCES_LIST])
394 m4_popdef([AC_LIBSOURCES])
395 m4_popdef([AC_REPLACE_FUNCS])
396 m4_popdef([AC_LIBOBJ])
397 AC_CONFIG_COMMANDS_PRE([
398 gl_libobjs=
399 gl_ltlibobjs=
400 if test -n "$gl_LIBOBJS"; then
401 # Remove the extension.
402 sed_drop_objext='s/\.o$//;s/\.obj$//'
403 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
404 gl_libobjs="$gl_libobjs $i.$ac_objext"
405 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
406 done
407 fi
408 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
409 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
410 ])
411 gltests_libdeps=
412 gltests_ltlibdeps=
413 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
414 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
415 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
416 m4_pushdef([gltests_LIBSOURCES_LIST], [])
417 m4_pushdef([gltests_LIBSOURCES_DIR], [])
418 gl_COMMON
419 gl_source_base='tests'
420 changequote(,)dnl
421 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
422 changequote([, ])dnl
423 AC_SUBST([gltests_WITNESS])
424 gl_module_indicator_condition=$gltests_WITNESS
425 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
426 m4_pattern_allow([^gl_GNULIB_ENABLED_])
427 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
428 m4_ifval(gltests_LIBSOURCES_LIST, [
429 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
430 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
431 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
432 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
433 exit 1
434 fi
435 done])dnl
436 m4_if(m4_sysval, [0], [],
437 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
438 ])
439 m4_popdef([gltests_LIBSOURCES_DIR])
440 m4_popdef([gltests_LIBSOURCES_LIST])
441 m4_popdef([AC_LIBSOURCES])
442 m4_popdef([AC_REPLACE_FUNCS])
443 m4_popdef([AC_LIBOBJ])
444 AC_CONFIG_COMMANDS_PRE([
445 gltests_libobjs=
446 gltests_ltlibobjs=
447 if test -n "$gltests_LIBOBJS"; then
448 # Remove the extension.
449 sed_drop_objext='s/\.o$//;s/\.obj$//'
450 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
451 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
452 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
453 done
454 fi
455 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
456 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
457 ])
458 LIBGNU_LIBDEPS="$gl_libdeps"
459 AC_SUBST([LIBGNU_LIBDEPS])
460 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
461 AC_SUBST([LIBGNU_LTLIBDEPS])
462 ])
463
464 # Like AC_LIBOBJ, except that the module name goes
465 # into gl_LIBOBJS instead of into LIBOBJS.
466 AC_DEFUN([gl_LIBOBJ], [
467 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
468 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
469 ])
470
471 # Like AC_REPLACE_FUNCS, except that the module name goes
472 # into gl_LIBOBJS instead of into LIBOBJS.
473 AC_DEFUN([gl_REPLACE_FUNCS], [
474 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
475 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
476 ])
477
478 # Like AC_LIBSOURCES, except the directory where the source file is
479 # expected is derived from the gnulib-tool parameterization,
480 # and alloca is special cased (for the alloca-opt module).
481 # We could also entirely rely on EXTRA_lib..._SOURCES.
482 AC_DEFUN([gl_LIBSOURCES], [
483 m4_foreach([_gl_NAME], [$1], [
484 m4_if(_gl_NAME, [alloca.c], [], [
485 m4_define([gl_LIBSOURCES_DIR], [lib])
486 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
487 ])
488 ])
489 ])
490
491 # Like AC_LIBOBJ, except that the module name goes
492 # into gltests_LIBOBJS instead of into LIBOBJS.
493 AC_DEFUN([gltests_LIBOBJ], [
494 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
495 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
496 ])
497
498 # Like AC_REPLACE_FUNCS, except that the module name goes
499 # into gltests_LIBOBJS instead of into LIBOBJS.
500 AC_DEFUN([gltests_REPLACE_FUNCS], [
501 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
502 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
503 ])
504
505 # Like AC_LIBSOURCES, except the directory where the source file is
506 # expected is derived from the gnulib-tool parameterization,
507 # and alloca is special cased (for the alloca-opt module).
508 # We could also entirely rely on EXTRA_lib..._SOURCES.
509 AC_DEFUN([gltests_LIBSOURCES], [
510 m4_foreach([_gl_NAME], [$1], [
511 m4_if(_gl_NAME, [alloca.c], [], [
512 m4_define([gltests_LIBSOURCES_DIR], [tests])
513 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
514 ])
515 ])
516 ])
517
518 # This macro records the list of files which have been installed by
519 # gnulib-tool and may be removed by future gnulib-tool invocations.
520 AC_DEFUN([gl_FILE_LIST], [
521 build-aux/snippet/_Noreturn.h
522 build-aux/snippet/arg-nonnull.h
523 build-aux/snippet/c++defs.h
524 build-aux/snippet/warn-on-use.h
525 lib/alloca.in.h
526 lib/allocator.c
527 lib/allocator.h
528 lib/c-ctype.c
529 lib/c-ctype.h
530 lib/c-strcase.h
531 lib/c-strcasecmp.c
532 lib/c-strncasecmp.c
533 lib/careadlinkat.c
534 lib/careadlinkat.h
535 lib/dosname.h
536 lib/dtoastr.c
537 lib/dtotimespec.c
538 lib/dup2.c
539 lib/execinfo.c
540 lib/execinfo.in.h
541 lib/filemode.c
542 lib/filemode.h
543 lib/ftoastr.c
544 lib/ftoastr.h
545 lib/getloadavg.c
546 lib/getopt.c
547 lib/getopt.in.h
548 lib/getopt1.c
549 lib/getopt_int.h
550 lib/gettext.h
551 lib/gettime.c
552 lib/gettimeofday.c
553 lib/ignore-value.h
554 lib/intprops.h
555 lib/inttypes.in.h
556 lib/lstat.c
557 lib/md5.c
558 lib/md5.h
559 lib/mktime-internal.h
560 lib/mktime.c
561 lib/pathmax.h
562 lib/pselect.c
563 lib/pthread_sigmask.c
564 lib/readlink.c
565 lib/sha1.c
566 lib/sha1.h
567 lib/sha256.c
568 lib/sha256.h
569 lib/sha512.c
570 lib/sha512.h
571 lib/signal.in.h
572 lib/stat-time.c
573 lib/stat-time.h
574 lib/stat.c
575 lib/stdalign.in.h
576 lib/stdarg.in.h
577 lib/stdbool.in.h
578 lib/stddef.in.h
579 lib/stdint.in.h
580 lib/stdio.in.h
581 lib/stdlib.in.h
582 lib/strftime.c
583 lib/strftime.h
584 lib/strtoimax.c
585 lib/strtol.c
586 lib/strtoll.c
587 lib/strtoul.c
588 lib/strtoull.c
589 lib/strtoumax.c
590 lib/symlink.c
591 lib/sys_select.in.h
592 lib/sys_stat.in.h
593 lib/sys_time.in.h
594 lib/time.in.h
595 lib/time_r.c
596 lib/timespec-add.c
597 lib/timespec-sub.c
598 lib/timespec.c
599 lib/timespec.h
600 lib/u64.c
601 lib/u64.h
602 lib/unistd.in.h
603 lib/utimens.c
604 lib/utimens.h
605 lib/verify.h
606 m4/00gnulib.m4
607 m4/alloca.m4
608 m4/c-strtod.m4
609 m4/clock_time.m4
610 m4/dup2.m4
611 m4/environ.m4
612 m4/execinfo.m4
613 m4/extensions.m4
614 m4/extern-inline.m4
615 m4/filemode.m4
616 m4/getloadavg.m4
617 m4/getopt.m4
618 m4/gettime.m4
619 m4/gettimeofday.m4
620 m4/gnulib-common.m4
621 m4/include_next.m4
622 m4/inttypes.m4
623 m4/largefile.m4
624 m4/longlong.m4
625 m4/lstat.m4
626 m4/manywarnings.m4
627 m4/md5.m4
628 m4/mktime.m4
629 m4/multiarch.m4
630 m4/nocrash.m4
631 m4/off_t.m4
632 m4/pathmax.m4
633 m4/pselect.m4
634 m4/pthread_sigmask.m4
635 m4/readlink.m4
636 m4/sha1.m4
637 m4/sha256.m4
638 m4/sha512.m4
639 m4/signal_h.m4
640 m4/socklen.m4
641 m4/ssize_t.m4
642 m4/st_dm_mode.m4
643 m4/stat-time.m4
644 m4/stat.m4
645 m4/stdalign.m4
646 m4/stdarg.m4
647 m4/stdbool.m4
648 m4/stddef_h.m4
649 m4/stdint.m4
650 m4/stdio_h.m4
651 m4/stdlib_h.m4
652 m4/strftime.m4
653 m4/strtoimax.m4
654 m4/strtoll.m4
655 m4/strtoull.m4
656 m4/strtoumax.m4
657 m4/symlink.m4
658 m4/sys_select_h.m4
659 m4/sys_socket_h.m4
660 m4/sys_stat_h.m4
661 m4/sys_time_h.m4
662 m4/time_h.m4
663 m4/time_r.m4
664 m4/timespec.m4
665 m4/tm_gmtoff.m4
666 m4/unistd_h.m4
667 m4/utimbuf.m4
668 m4/utimens.m4
669 m4/utimes.m4
670 m4/warn-on-use.m4
671 m4/warnings.m4
672 m4/wchar_t.m4
673 ])